classification
Title: Duplicate test method in test_heapq
Type: behavior Stage: needs patch
Components: Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: BreamoreBoy, ezio.melotti, georg.brandl, rhettinger
Priority: high Keywords:

Created on 2010-02-07 12:53 by georg.brandl, last changed 2010-08-22 08:12 by rhettinger. This issue is now closed.

Messages (4)
msg98995 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-02-07 12:53
test_heap has a duplicate "test_get_only" test method, and the one that's overwritten seems to end up in an infinite loop.
msg110004 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-11 13:22
Hardly a showstopper, but shouldn't this file have been patched before the release of Python 2.7?
msg110005 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-07-11 13:25
If no one did, it will have to be done for 2.7.1.
msg114642 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2010-08-22 08:12
Fixed in r84255.
History
Date User Action Args
2010-08-22 08:12:25rhettingersetstatus: open -> closed
resolution: fixed
messages: + msg114642
2010-08-08 01:39:58rhettingersetpriority: normal -> high
2010-07-11 13:25:08ezio.melottisetnosy: + ezio.melotti

messages: + msg110005
stage: needs patch
2010-07-11 13:22:19BreamoreBoysetnosy: + BreamoreBoy
messages: + msg110004
2010-02-07 12:53:23georg.brandlcreate